Removed obsolete win32-related code from autogen.sh.
[claws.git] / autogen.sh
1 #!/bin/sh
2 # Copyright 1999-2014 the Claws Mail team.
3 # This file is part of Claws Mail package, and distributed under the
4 # terms of the General Public License version 3 (or later).
5 # See COPYING file for license details.
6
7 bisonver=`bison --version`
8
9 if [ "$bisonver" = "" ]; then
10         echo Bison is needed to compile Claws Mail git
11         exit 1
12 fi
13
14 if [ "$LEX" != "" ]; then
15         flexver=`$LEX --version|sed "s/.* //"`
16 else
17         flexver=`flex --version|sed "s/.* //"`
18 fi
19
20 if [ "$flexver" = "" ]; then
21         echo Flex 2.5.31 or greater is needed to compile Claws Mail git
22         exit 1
23 else
24         flex_major=`echo $flexver|sed "s/\..*//"`
25         flex_minor=`echo $flexver|sed "s/$flex_major\.\(.*\)\..*/\1/"`
26         flex_micro=`echo $flexver|sed "s/$flex_major\.$flex_minor\.\(.*\)/\1/"`
27         if [ $flex_major -lt 2 -o $flex_minor -lt 5 -o $flex_micro -lt 31 ]; then
28                 echo Flex 2.5.31 or greater is needed to compile Claws Mail git
29                 exit 1
30         fi
31 fi
32
33 aclocal -I m4 \
34   && libtoolize --force --copy \
35   && autoheader \
36   && automake --add-missing --foreign --copy \
37   && autoconf 
38 if test -z "$NOCONFIGURE"; then
39 exec ./configure --enable-maintainer-mode $@
40 fi